import os
import re



#loop
layerheight=0.25

count = 0
path = 'gcode'
data = []
for dir_entry in os.listdir(path):
    dir_entry_path = os.path.join(path, dir_entry)
    if os.path.isfile(dir_entry_path):
        with open(dir_entry_path, 'r') as my_file:
          #data[dir_entry] = my_file.read()
          content = my_file.read()
          #header
          res = re.match('^.+G1 F1500.000 E-2.70000', content, re.MULTILINE|re.DOTALL)
          head = res.group()
          
          if (count == 0):
            header = head
            #footer
            res = re.search('G1 X5 Y100 F4000.+', content, re.MULTILINE|re.DOTALL)
            footer = res.group()

          tmp = re.sub(head,'', content, re.MULTILINE|re.DOTALL)
          body = re.sub('G1 X5 Y100 F4000(.|\n)+', '', tmp, flags=re.MULTILINE)

          altitude = layerheight * (count + 1 ) 
          value = 'Z%f'%(altitude)
          
          #print value

          body = re.sub('Z0.250', value, body)

          data.append(body)

          count = count + 1


data[:0] = header
data.append(footer)
result = "".join(data)

final = open('muybridge.mix.gcode','w')
final.write(result) 
final.close() 

#print result
